cyr(1)

NAME
cyr - setup Cyrillic on Linux console

SYNOPSIS
cyr [ options ]... [ keyboard [ keyboard_options ... ]]

DESCRIPTION
cyr is a program for fast and easy setup of Cyrillic on the Linux console.

OPTIONS

-C, --copyright
    Display copying conditions and warranty information.

-h, --help
    Display help information and exit.

--save
    Saves given parametes as default for latter use in ~/.cyr_defaults.

-v, --verbose
    Be more verbose.

-s, --style=fontstyle

-f, --size=fontsize
    Use the given fontstyle (i.e. fontface) and fontsize. Type cyr --help to see possible fontstyle-fontsize combinations.

--font=fontfile
    Use this fontfile. The options -s and -f get ingnored if this option is given. You will use this argument if you want to use font that is not directly supported by cyr.

-e, --encoding=encoding
    Setup the Linux console for this encoding.

--ttys='console1 console2...'
    Setup Cyrillic in these consoles.

keyboard

keyboard_options
    Use this keyboard and keyboard options.

CONFIGURATION FILE
cyr reads it defaults from ~/.cyr_defaults or (if the former file doesn't exist) from /etc/console-cyrillic.

Lines that contain only spaces or begin with `#' are simply ignored. All other lines should have the form

keyword parameters

Different keywords correspond to different arguments of cyr as follows:

`ttys terminals...' is equivalent to `--tty='terminals...''.

`style fontstyle' is equivalent to `--style=fontstyle'.

`size fontsize' is equivalent to `--size=fontsize'.

`encoding enc' is equivalent to `--encoding=enc'.

`fontfile fntfile' is equivalent ot `--font=fntfile'.

`layout kbd' specifies kbd as default keyboard to use.

`options opt...' specifies opt as default keyboard options.

AUTHOR
Anton Zinoviev <anton@lml.bas.bg>, <zinoviev@debian.org>